For the complete documentation index, see llms.txt. This page is also available as Markdown.

Banners

Listar banners do portal

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: title
dirstringOpcionalDefault: asc
typestring · enumOpcional

Tipo de Banner

Valores possíveis:
Respostas
200

Banners listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/banners/banners
GET /api/b2b/banners/banners HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "title": "text",
      "type": "SMALL",
      "durationType": "LIFETIME",
      "start_date": "2026-01-01T00:00:00.000Z",
      "end_date": "2026-01-01T00:00:00.000Z",
      "active": true,
      "profile_partner": true,
      "profile_seller": true,
      "images": [
        {
          "id": "text",
          "description": "text",
          "imageSmall": "text",
          "imageLarge": "text",
          "link": "text",
          "order": 1,
          "active": true
        }
      ],
      "group": [
        "text"
      ]
    }
  ]
}

Criar banner

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
titlestringOpcional
typestring · enumOpcionalValores possíveis:
durationTypestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
activebooleanOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
groupstring[]Opcional
Respostas
201

Criado

application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
durationTypestring · enumOpcionalValores possíveis:
start_datestring · date-timeOpcional
end_datestring · date-timeOpcional
activebooleanOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
groupstring[]Opcional
post/banners/banners
POST /api/b2b/banners/banners HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323

{
  "title": "text",
  "type": "SMALL",
  "durationType": "LIFETIME",
  "start_date": "2026-01-01T00:00:00.000Z",
  "end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "profile_partner": true,
  "profile_seller": true,
  "images": [
    {
      "description": "text",
      "imageSmall": "text",
      "imageLarge": "text",
      "link": "text",
      "order": 1,
      "active": true
    }
  ],
  "group": [
    "text"
  ]
}
{
  "id": "text",
  "title": "text",
  "type": "SMALL",
  "durationType": "LIFETIME",
  "start_date": "2026-01-01T00:00:00.000Z",
  "end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "profile_partner": true,
  "profile_seller": true,
  "images": [
    {
      "id": "text",
      "description": "text",
      "imageSmall": "text",
      "imageLarge": "text",
      "link": "text",
      "order": 1,
      "active": true
    }
  ],
  "group": [
    "text"
  ]
}